loglik <-
function(theta, alpha, beta, gamma, omega, nu,  K, kap, counts)
	{ 
	## log likelihood for meta flu model

       prob1 <- pp.alt( theta, alpha, beta, gamma, omega, nu, K, kap)
       prob2 <- pp.nul( theta, alpha, beta, gamma, omega, nu, K, kap)
 
       prob1 <- sapply(prob1, .correct)
       prob2 <- sapply(prob2, .correct)

       logp.alt <- log( prob1 )  
       logp.null <- log( prob2 )
       
       tmp.alt <- logp.alt + log(theta)
       tmp.null <- logp.null + log(1-theta)

       pm <- pmax( tmp.alt, tmp.null )
       logp.status <- pm + log( exp( tmp.alt - pm ) + exp( tmp.null - pm ) )

       ll <- sum(logp.status * counts)      
       ll }
