.Bone <-
function(lambda, gamma, omega, K, kap)
  {
        detectn <- sapply(gamma, .F, omega=omega, K=K, m=1)
        confirm <- sapply(gamma, .F, omega=omega/4, K=K, m=4)
	bone <- lapply(1:4,function(i){detectn[,i] %o% confirm[,i]})
        f1 <- bone[[1]]
        f2 <- bone[[2]] 
        f3 <- bone[[3]]
        f4 <- bone[[4]]
        mat <- .H(f1 %o% f2 %o% f3 %o% f4, kap, lambda)
        return(mat)
  }
.correct <-
function(x)
 {
  # deal with underflow
  if(x <= 0) 
	{return(1e-15)} 
  else {return(x)} 
 }
.F <-
function(gamma, omega, K, m)
 {
  # F deals with integration over Binomial with success rate p
	p <- 4*gamma/K	
	h <- sapply(0:m, function(x){1-p+p*((1-omega)^x)})
	return(h)
 }
.fa <-
function(alpha, beta, omega, gamma)
 {
	# generate coefficients for pattern probabilities for involved genes
	Gam <- pgamma(-log(omega),4)
	x1A1 <- polynomial(c(1-beta, (alpha+beta -1)*Gam))
	x1A0 <- polynomial(c(1-beta,  alpha+beta -1))
	
        yA1 <- polynomial(c(1-beta, (alpha+beta -1) * (1-omega)))
	yA0 <- polynomial(c(1-beta,  alpha+beta -1))
	y1A1 <- 1 - (1-yA1)^4 - 4*(1-yA1)^3*yA1
	y1A0 <- 1 - (1-yA0)^4 - 4*(1-yA0)^3*yA0
       
        p00 <- coef(gamma*(1-x1A1) + (1-gamma)*(1-x1A0))
         p00 <- cbind(p00, matrix(0, 2, 4))
	p10 <- gamma*(coef(x1A1) %o% coef(1-y1A1))+(1-gamma)*(coef(x1A0) %o% coef(1-y1A0))
	p11 <- gamma*(coef(x1A1) %o% coef(y1A1))+(1-gamma)*(coef(x1A0) %o% coef(y1A0))
	
        rr <- list(p00,p10,p11)
	names(rr) <- c('p00','p10','p11')
	return(rr)
 }
.fn <-
function(alpha, beta)
 {
	x1 <- polynomial(c(1-beta, alpha+beta-1))
	x0 <- 1-x1

	yA <- polynomial(c(1-beta, alpha+beta-1))
	y1 <- 1 - (1-yA)^4 - 4*(1-yA)^3*yA
        y0 <- 1-y1

	p00 <- coef(x0)    
         p00 <- cbind(p00, matrix(0, 2, 4))
	p10 <- coef(x1) %o% coef(y0)
	p11 <- coef(x1) %o% coef(y1)

	rr <- list(p00,p10,p11)
	names(rr) <- c('p00','p10','p11')
	return(rr)
 }
.H <-
function(x,kap,lambda)
 {
    # H deals with integration over NB s
	p <- lambda/(lambda+kap)
	rr <- ((1-p)/(1-p*x))^kap
	return(rr)
 }
