\name{Error}
\alias{Error}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Function to compute model-based estimates of false-positive and false-negative error, metaflu project.
}
\description{
 A false positive occurs if a non-involved gene is both detected and confirmed in an RNAi study;
 a false negative occurs if an involved gene is either not detected or not confirmed after detection.
 Probabilities of these events have specific forms in terms of metaflu model parameters, and these
 are evaluated with the present function.
}
\usage{
Error(theta, alpha, beta, gamma, omega, nu, K, kap)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{theta}{
marginal rate at which genes are involved with influenza virus replication
}
  \item{alpha}{
false positive measurement error rate
}
  \item{beta}{
false negative measurement error rate (scaler)
}
  \item{gamma}{
accessibility rate (scaler)
}
  \item{omega}{
knockdown threshold 
}
  \item{nu}{
mean number of off-targets per siRNA
}
  \item{K}{
size of pool of siRNA's per mRNA target, all studies
}
  \item{kap}{
overdispersion parameter (set large to mimic Poisson)
}
}
\details{
Error rates are computed both conditionally upon findings (FDR, FNDR) and conditionally upon
true involvement (TP, TN).
}
\value{
Four error rates.
}
\references{
Hao et al. 2012.
}
\author{
Michael Newton and Qiuling He
}

\examples{

err <- Error( theta=0.13, alpha=0.003, beta=0.2, gamma=0.1, omega=0.8, nu=0.1 , K=12, kap=20)

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
