\name{flugenes}
\alias{flugenes}
\docType{data}
\title{
Gene-level multi-study records from four genome-wide RNA interference studies of influenza virus replication
}
\description{
Each gene in the genome may or may not have been detected in the primary screen or confirmed in
 a secondary screen in each of four separate studies.  A gene could be confirmed in a given study only if
it was detected in that study.  Fully 984 genes were detected in at least one of the four studies. The
data file codes 0/1/2 for non-detected/detected but not confirmed/detected and confirmed.
}
\usage{data(flugenes)}
\format{
  A data frame with 984 observations on the following 5 variables.
  \describe{
    \item{\code{Gene_ID}}{Entrez gene ID}
    \item{\code{DL1}}{ detection/confirmation code study DL1}
    \item{\code{U2OS}}{detection/confirmation code, study U2OS}
    \item{\code{A549DE}}{detection/confirmation code, study A549DE}
    \item{\code{A549US}}{detection/confirmation code, study A549US}
  }
}
%\details{
%%%  ~~ If necessary, more details than the __description__ above ~~
%}
\source{
Hao, He, Craven, Newton, and Ahlquist (2012). Limited agreement of independent
 RNAi screens owes more to false-negative than false-positive factors.  Manuscript.
}
%\references{
%%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(flugenes)
x <- apply(flugenes[,2:5], 1, function(x) any(x==2) )
print(sum(x))    ## 614 genes confirmed in at least one study
}
\keyword{datasets}
