\name{flutable}
\alias{flutable}
\docType{data}
\title{
Pattern-level multi-study records from four genome-wide RNA interference studies of influenza virus replication
}
\description{
Each gene in the genome may or may not have been detected in the primary screen or confirmed in
 a secondary screen in each of four separate studies.  A gene could be confirmed in a given study only if
it was detected in that study.  Using a 
 1/2/3 code for non-detected/detected but not confirmed/detected and confirmed, there are 81 possible multi-study patterns
of detection and confirmation.  This object holds the (multinomial) counts indicating how many genes in a genome of G=22000
match each of the 81 multistudy patterns..
}
\usage{data(flutable)}
\format{
  A data frame with 81 observations on the following 6 variables.
  \describe{
    \item{\code{FLY}}{detection/confirmation code for the FLY study}
    \item{\code{CEL}}{detection/confirmation code for the CEL study}
    \item{\code{NGE}}{detection/confirmation code for the NGE study}
    \item{\code{NUS}}{detection/confirmation code for the NUS study}
    \item{\code{code}}{summary of the previous columns}
    \item{\code{count}}{number of genes showing that detection/confirmation pattern}
  }
}
%\details{
%%%  ~~ If necessary, more details than the __description__ above ~~
%}
\source{
Hao, He, Craven, Newton, and Ahlquist (2012). Limited agreement of independent
 RNAi screens owes more to false-negative than false-positive factors.  Manuscript.
}
%\references{
%%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(flutable)
print( flutable[81,] )    ### one gene was detected and confirmed by all four RNAi studies
}
\keyword{datasets}
