\name{loglik}
\alias{loglik}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Function to compute the log likelihood for parameters in the metaflu model.
}
\description{
The likelihood uses multinomial counts over 81 cells indicating patterns of detection and
confirmation over three RNA interference studies.  The multinomial probabilities are restricted
by parameters according to a hierarchical model for detection and confirmation.
}
\usage{
loglik(theta, alpha, beta, gamma, omega, nu, K, kap, counts)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{theta}{
marginal rate at which genes are involved with influenza virus replication
}
  \item{alpha}{
false positive measurement error rate
}
  \item{beta}{
false negative measurement error rate (vector over 4 studies)
}
  \item{gamma}{
target accessibility rate (vector over 4 studies)
}
  \item{omega}{
threshhold for effective knockdown
}
  \item{nu}{
mean number of off targets per siRNA
}
  \item{K}{
Size of pool (average) of siRNA's per mRNA target over four studies
}
  \item{kap}{
An overdispersion parameter [needs to be high , e.g. 10, to mimic Poisson] on the
distribution of off-targets per siRNA.
}
  \item{counts}{
 numbers of genes following each of 81 multistudy detection/confirmation patterns
}
}
\details{
Computes log likelihood for the metaflu model of Hao et al.  All latent variables are
summed out, including a complicated analytical solution for summing out the unknown numbers
of off-targets per targeted mRNA.
}
\value{
log likelihood of parameters for the data provided
}
\references{
Hao, He, Craven, Newton, and Ahlquist (2012). Limited agreement of independent
 RNAi screens owes more to false-negative than false-positive factors.  Manuscript.
}
\author{
Michael Newton and Qiuling He
}

\seealso{ See Also as \code{\link{nlogpost}} }
\examples{
 
print("see help for nlogpost")

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
