\name{metaflu-package}
\alias{metaflu-package}
\alias{metaflu}
\docType{package}
\title{
Data and basic likelihood calculations for UW Madison influenza RNAi meta-analysis project
}
\description{
Part of the metaflu project involves a model-based analysis of agreements and disagreements among four 
genome-wide RNA interference studies of influenza virus replication.  This package holds the RNAi data
and functions to enable basic likelihood computations.
}
\details{
\tabular{ll}{
Package: \tab metaflu\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2012-11-28\cr
License: \tab Artistic License, Version 2.0\cr
Depends: \tab polynom
}

The metaflu model-based analysis treats the RNAi data as multinomial counts, where each gene can take one of 3 possible patterns
of detection/confirmation in each of 4 studies.  Data in the 81 cell table are in the object flutable.  A hierarchical model 
detailed in Hao et al shows how system-level parameters affect the 81-cell probability vector.  Key functions evaluate the (log) likelihood,
enabling both simulation and  maximum likelihood estimation.  

}
\author{
R functions by Michael A. Newton and Qiuling He

Maintainer: Michael Newton <newton@stat.wisc.edu>
}
\references{
Hao, He, Craven, Newton, and Ahlquist (2012). Limited agreement of independent
 RNAi screens owes more to false-negative than false-positive factors.  Manuscript.
}
\keyword{ package }
%\examples{
% %% ~~ simple examples of the most important functions ~~
%}
