\name{nlogpost}
\alias{nlogpost}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Negative log likelihood for transformed parameters, metaflu model.
}
\description{
A wrapper for the \code{loglik} function useful for both MCMC and nonlinear optimization. It
takes the parameters on an unconstrained transformed scale.
}
\usage{
nlogpost(x, K, kap, counts)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
  vector holding transformed parameters for loglik.  All those in (0,1) are logit transformed,
 and nu is log transformed.
}
  \item{K}{
  siRNA pool size (genome average)
}
  \item{kap}{
 overdispersion parameter for off-target distribution [fix at large value, eg. kap=10]
}
  \item{counts}{
 81-cell multistudy pattern counts from RNAi studies.
}
}
\value{
Negative log likelihood of input parameters for data provided.
}
\references{
Hao, He, Craven, Newton, and Ahlquist (2012). Limited agreement of independent
 RNAi screens owes more to false-negative than false-positive factors.  Manuscript.
}
\author{
Michael Newton and Qiuling He
}

\seealso{ See Also as \code{\link{loglik}} }
\examples{
data(flutable)
logit <- function(x){ return( log( x/(1-x) )  ) }
par0 <- c( logit(1/2), rep( logit(1/5), 9 ), logit(1/2), 0 )
res <- nlminb( par0, nlogpost, K=12, kap=100, counts=flutable$count )

est <- EST( res, K=12, kap=100 )

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
