\name{pp.alt}
\alias{pp.alt}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Function to compute the probability of each 81 multistudy pattern for genes that are truly involved in infuenza.
}
\description{
The proposed model allows genes to be either involved or not in flu; the likely patterns of detection and confirmation
are affected by this latent state.  This function computes the pattern probabilities for involved genes.
}
\usage{
pp.alt(theta, alpha, beta, gamma, omega, nu, K, kap)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{theta}{
   marginal rate of involvement
}
  \item{alpha}{
   false-positive measurement error rate
}
  \item{beta}{
   false-negative measurement error rate (vector of 4 values)
}
  \item{gamma}{
  accessibility rates (vector of 4 values)
}
  \item{omega}{
  threshhold for effective knockdown
}
  \item{nu}{
  mean number of off-targets per siRNA
}
  \item{K}{
  Size of pool (average) of siRNA's per mRNA target over the four studies.
}
  \item{kap}{
  An overdispersion parameter [needs to be set large to approximate Poisson variation]
}
}
%\details{
%%%  ~~ If necessary, more details than the description above ~~
%}
\value{
Vector of 81 probabilities for the distinct multi-study detection/confirmation patterns, for influenza involved genes
}
\references{
Hao, He, Craven, Newton, and Ahlquist (2012). Limited agreement of independent
 RNAi screens owes more to false-negative than false-positive factors.  Manuscript.
}
\author{
Michael Newton and Qiuling He
}
%\note{
%%%  ~~further notes~~
%}

\section{Warning }{ The code is valid for Poisson variation in off-target counts; small values of kap will not produce meaningful results. 
 E.g., kap=10 or higher should be ok} 

\seealso{
 See Also as \code{\link{pp.nul}}.
}
\examples{
 print( "see other functions" )
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
